Skip to content
ReadyZone Docs
API Reference

Free-offer availability

List free offers available for a zone.

GET /api/portal/free-offer/{companyReference}

Access: Public

Portal use case

The portal calls this endpoint to determine which free offers are available before displaying the claim form.

Parameters

  • companyReference (path, required)

Response body

{
  "active": true,
  "offers": [
    {
      "planId": "plan_uuid",
      "name": "Free discovery",
      "description": "Limited free access",
      "type": "smart-device-based",
      "frequency": "once_per_day",
      "durationHours": 2
    }
  ]
}
AttributeTypeDescription
offersarrayAvailable free offers.
activebooleanWhether at least one offer is available.
offers[].planIdstringFree plan identifier.
offers[].namestringPlan name.
offers[].descriptionstring or nullPlan description.
offers[].typestringPlan type, including smart-device-based or period-based.
offers[].frequencystring or nullunlimited, once_per_day, once_per_week, once_per_month, or once_per_year.
offers[].durationHoursnumberOffer duration in hours.

Status codes

  • 200 OK
  • 400 Bad Request (invalid reference)
  • 404 Not Found (zone not found)

On this page